Skip to content

Customer Preference

| View as Markdown

This API is for get customer preference of the card can be done through prepaid card portal. We must pass entity id, status: allowed and type of card in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/cards/api/customer-preference
FieldTypeDescription
checksumtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)
tokentextWill be provided by airpay(required)
FieldTypeRequiredDescription
entity_idTextYesCustomer ID registered with the system (length 50)
statusTextNoStatus type. Possible values: ALLOWED, NOTALLOWED
typeTextNoCard type. Possible values: ATM, POS, ECOM, CONTACTLESS
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/customer-preference' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'status=ALLOWED' \
--data-urlencode 'type=CONTACTLESS'
FieldTypeDescription
statusnumeric400- fail,200-success
messagetextSuccess, Fail
datajson[]
{
"status": 200,
"message": "success",
"data": []
}
{
"status": 400,
"message": "fail"
}